<ng-template #content let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h4 class="modal-title">{{authMode}}</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <login-form (onFormResult)="onLoginFormResult($event)" *ngIf="isloginmode()" ></login-form>
    <register-form (onFormResult)="onRegisterFormResult($event)" *ngIf="isregistermode()"></register-form>
  </div>
  <div class="modal-footer">
    <span *ngIf="isloginmode()" >
      <p>Need an account? <a (click)="authMode='register'">click here to register</a></p>
    </span>
    <span *ngIf="isregistermode()" >
      <p>Already a user? <a (click)="authMode='login'">click here to Login</a></p>
    </span>
  </div>
</ng-template>